Bug 60825 - gcc C++ internal compiler error
Summary: gcc C++ internal compiler error
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: gcc (Show other bugs)
(Show other bugs)
Version: 1.0
Hardware: athlon Linux
medium
low
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL: http://www.ecs.soton.ac.uk/~ajr/WF/ma...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-03-07 14:17 UTC by Alistair Riddoch
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-03-07 14:20:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Pre-processed C++ source which can reproduce the bug (1.22 MB, text/plain)
2002-03-07 14:20 UTC, Alistair Riddoch
no flags Details

Description Alistair Riddoch 2002-03-07 14:17:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.8) Gecko/20020206

Description of problem:
THe URL above contains pre-processed C++ which generates in internal
compiler in the version of GCC installed from rawhide recently. gcc
reports its version as:

gcc version 3.1 20020205 (Red Hat Linux Rawhide 3.1-0.21)


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Attempt to compile main.ii provided in the URL above using g++
2.
3.
	

Actual Results:  The following message was returned:

Internal compiler error: Error reporting routines re-entered.

Expected Results:  The compiler should have reported the errors in the code.

Additional info:

I am aware that the code contains bugs, which are almost certainly fixable, and
would probably result in a clean compile. I am providing this file as requested
by the error message from gcc, so that the ICE can be reproduced.

This report is provided for the benefit of the gcc developers. I do
not require a fix.

Comment 1 Alistair Riddoch 2002-03-07 14:20:21 UTC
Created attachment 47721 [details]
Pre-processed C++ source which can reproduce the bug

Comment 2 Jakub Jelinek 2002-03-09 21:54:41 UTC
Can reproduce it with 3.1-0.21, cannot with 3.1-0.22, so I assume it is fixed.


Note You need to log in before you can comment on or make changes to this bug.